Uploaded image for project: 'Hadoop HDFS'
  1. Hadoop HDFS
  2. HDFS-11489

KMS should warning about weak SSL ciphers

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 2.9.0
    • Fix Version/s: None
    • Component/s: kms
    • Labels:
      None
    • Target Version/s:

      Description

      HADOOP-14083 sets a list of default ciphers that contain a few weak ciphers in order to maintain backwards compatibility. In addition, users can select weak ciphers by env KMS_SSL_CIPHERS. It'd nice to get warnings about the weak ciphers.

        Attachments

          Activity

            People

            • Assignee:
              jzhuge John Zhuge
              Reporter:
              jzhuge John Zhuge
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: